Bug 123701 - ieee1394 support present, but not functional
ieee1394 support present, but not functional
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 00:53 EDT by Graydon Saunders
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-28 12:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graydon Saunders 2004-05-20 00:53:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
The modules (ohci1394, ieee1394, sbp2) are present and load.

However, I get the error

ieee1394: Error parsing configrom for node 0-00:1023

scrolling by on boot, and sg_inq can't find the device (an external firewire drive enclosure) after boot.  It worked with 2.4.* series kernels in FC1.

Boot messages:

May 18 17:15:30 grithr kernel: ohci1394: $Rev: 1203 $ Ben Collins <bcollins@debian.org>
May 18 17:15:30 grithr kernel: ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[5]  MMIO=[e9001000-e90017ff]  Max Packet=[2048]
May 18 17:15:30 grithr kernel: sbp2: $Rev: 1205 $ Ben Collins <bcollins@debian.org>
[stuff]
May 18 17:15:30 grithr kernel: ieee1394: Error parsing configrom for node 0-01:1023

If I try to run the hotplug script directly:

May 19 20:29:43 grithr kernel: ieee1394: Error parsing configrom for node 0-00:1023
May 19 20:29:47 grithr kernel: scsi1 : SCSI emulation for IEEE-1394 SBP-2 Devices
May 19 20:29:47 grithr ieee1394.agent[13897]: ... no drivers for IEEE1394 product 0x/0x/0x
May 19 20:29:47 grithr ieee1394.agent[13899]: ... no drivers for IEEE1394 product 0x/0x/0x
May 19 20:29:48 grithr kernel: ieee1394: sbp2: Logged into SBP-2 device
May 19 20:29:48 grithr kernel:   Vendor: WDC WD80  Model: 0JB-00ETA0        Rev:
May 19 20:29:48 grithr kernel:   Type:   Direct-Access                      ANSI SCSI revision: 06
May 19 20:29:48 grithr kernel: SCSI device sdb: 268435455 512-byte hdwr sectors (137439 MB)
May 19 20:29:48 grithr kernel: sdb: asking for cache data failed
May 19 20:29:48 grithr kernel: sdb: assuming drive cache: write through
May 19 20:29:48 grithr kernel:  sdb: unknown partition table
May 19 20:29:48 grithr kernel: Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
May 19 20:29:49 grithr scsi.agent[13922]: disk at /devices/pci0000:00/0000:00:0c.0/fw-host0/0050c501e0016137/0050c501e0016137-0/host1/1:0:0:0



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.370

How reproducible:
Always

Steps to Reproduce:
1.install the 2.6.6-370.1 kernel
2.attach the external firewire drive
3.reboot using the 2.6.6-370.1 kernel
    

Actual Results:  Everything -- including the USB memory card reader that is also emulated as a SCSI device -- else works.  The connection to the external firewire drive does not.

Expected Results:  I should have been able to see the external firewire drive as a SCSI device.

Additional info:

A build of stock 2.6.6-rc3 with the then-current linux1394.org modules could see the drive; it also continued to corrupt it.  Didn't seem like a net win.
Comment 1 Graydon Saunders 2004-05-28 12:49:46 EDT
This is working from kernel-2.6.6-1.379 onwards in Arjan's test 
kernels. 

Note You need to log in before you can comment on or make changes to this bug.